Class Index | File Index

## Classes

- _global_
- mxn
- mxn.BoundingBox
- mxn.Event
- mxn.Geocoder
- mxn.Invoker
- mxn.LatLonPoint
- mxn.Mapstraction
- mxn.Marker
- mxn.Polyline
- mxn.Radius
- mxn.util
- mxn.util.Color

# Namespace mxn

Defined in: mxn.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| mxn

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | mxn.addEvents(oEvtSrc, aEvtNames) Bulk add some named events to an object.
<static> | mxn.addProxyMethods(func, aryMethods, bWithApiArg) Adds a list of named proxy methods to the prototype of a specified constructor function.
<static> | mxn.checkLoad(funcDetails)
<static> | mxn.deferUntilLoaded(fnCall)
<static> | mxn.register(sApiId, oApiImpl) Registers a set of provider specific implementation functions.

Namespace Detail
mxn
Method Detail
<static> mxn.addEvents(oEvtSrc, aEvtNames)
Bulk add some named events to an object.

Parameters:
{Object} oEvtSrc
  The event source object.
{String[]} aEvtNames
  Event names to add.

<static> mxn.addProxyMethods(func, aryMethods, bWithApiArg)
Adds a list of named proxy methods to the prototype of a specified constructor function.

Parameters:
{Function} func
  Constructor function to add methods to
{Array} aryMethods
  Array of method names to create
{Boolean} bWithApiArg
  Optional. Whether the proxy methods will use an API argument

<static> mxn.checkLoad(funcDetails)

Parameters:
funcDetails

<static> mxn.deferUntilLoaded(fnCall)

Parameters:
fnCall

<static> mxn.register(sApiId, oApiImpl)
Registers a set of provider specific implementation functions.

Parameters:
{String} sApiId
  The API ID to register implementing functions for.
{Object} oApiImpl
  An object containing the API implementation.

©2009
Documentation generated by JsDoc Toolkit 2.1.1 on Wed Jul 13 2011 23:10:52 GMT+0100 (BST)